Package pygccxml :: Package declarations :: Module algorithm :: Class match_declaration_t

# ClassType match_declaration_t

source code

helper class for different search algorithms.

This class will help developer to match declaration by:

- declaration type, for example class_t or operator_t.
- declaration name
- declaration full name
- reference to parent declaration

Instance Methods

__init__(self, type=None, name=None, fullname=None, parent=None) | source code

does_match_exist(self, inst) returns True if inst do match one of specified criteria | source code

__call__(self, inst) `return self.does_match_exist(inst)` | source code

Method Details

### does_match_exist(self, inst)

source code

returns True if inst do match one of specified criteria

Parameters:
  - `inst` (declaration_t) - declaration instance
Returns:
  bool